/* 
 * Start CSS 
 */

html,
body,
.wrapper,
canvas {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
	/* overflow: hidden; */
}

.wrapper {
	display: flex;
	align-items: center;
	justify-content: center;
	background: #000;
}

.control-panel {
	position: fixed;
	top: 0;
	width: 800px;
	display: flex;
	justify-content: space-between;
	font-family: Arial;
	background: rgba(255, 255, 255, 0.8);
	transition: .1s;
}

.hidden {
	opacity: 0;
}

.control-panel.hidden {
	opacity: 0;
	top: -10px;
}

.control-panel.hidden:hover {
	opacity: 1;
	top: 0;
}

.control-panel .buttons {
	width: 150px;
	display: flex;
	justify-content: space-between;
}

.control-panel button {
  background: none;
  border: 0;
  outline: 0;
  padding: 6px 10px;
  user-select: none;
  color: #555;
  font-size: 14px;
  transition: .2s;
  background: rgb(255,255,255);
  background: linear-gradient(358deg, rgba(255,255,255,1) 0%, rgba(246,222,222,1) 28%, rgba(246,222,222,1) 72%, rgba(255,214,214,1) 100%);
}

.control-panel button:active {
	background: rgba(255, 255, 255, 0.99);
	color: #444;
}

.colors {
	display: flex;
	align-items: center;
	color: #555;
	font-size: 14px;
	user-select: none;
}

.colors input {
  width: 45px;
	margin-left: 10px;
	margin-right: 10px;
}

canvas {
	/* width: 640px;
	height: 360px; */
}

/* 
 * End CSS 
 */